/* body text */
:root {
  --body-texts-vr-gap: 24px;
  --li-marker-clr: var(--clr-primary-2);
}

.body-text p {
  font-size: unset;
}

.body-text-field {
  font-size: var(--fs-16);
  line-height: var(--text-lh, 1.625);
  color: var(--section-body-clr, var(--clr-gray-dark));
}

.body-text-field>p {
  font-size: unset;
}

.body-text-field dd>*:not(:last-child),
.general-notes-text>*:not(:last-child),
.body-text-field>*:not(:last-child) {
  margin-bottom: var(--body-texts-vr-gap);
}

.general-notes-text>*:last-child,
.body-text-field>*:last-child {
  margin-bottom: 0;
}

.body-text-readmore,
.body-text-field.readmore-content-field {
  margin-top: var(--body-texts-vr-gap);
}

.body-text-field-lg {
  font-size: var(--fs-18);
}

.body-text-field-md {
  font-size: var(--fs-15);
}

.body-text-field h3 {
  --body-texts-vr-gap: var(--sp4);
  font-size: var(--fs-24);
  font-weight: var(--fw-bold);
}

.body-text-field h4 {
  --body-texts-vr-gap: var(--sp4);
  font-size: var(--fs-20);
  font-weight: var(--fw-bold);
}

/* image */
.body-text-field p:has(img) {
  --body-texts-vr-gap: var(--sp10);
}

/* list */
.body-text-field {
  --marker-size: 11px;
  --text-marker-gap: 12px;
  --li-marker-clr: transparent;
  --li-border-clr: var(--clr-primary-2);
}

.body-text-field ol,
.body-text-field>ul,
.body-text-field dd>ul {
  --body-texts-vr-gap: 13px;
  padding: 0;
  margin: 0;
  list-style-type: none;
}

.body-text-field ol li,
.body-text-field>ul:not(.field-ul) li,
.body-text-field dd>ul:not(.field-ul) li {
  position: relative;
  padding-left: calc(var(--marker-size) + var(--text-marker-gap));
}

.body-text-field ol li:before,
.body-text-field>ul:not(.field-ul) li:before,
.body-text-field dd>ul:not(.field-ul) li:before {
  content: "";
  position: absolute;
  left: 0;
  top: 6.5px;
  width: var(--marker-size);
  height: var(--marker-size);
  background-color: var(--li-marker-clr);
  border: 1px solid var(--li-border-clr);
  border-radius: 100%;
}

.body-text-field ol li:not(:last-child),
.body-text-field>ul:not(.field-ul) li:not(:last-child),
.body-text-field dd>ul:not(.field-ul) li:not(:last-child) {
  margin-bottom: 9px;
}

.body-content-listing {
  margin-top: calc(var(--sp11) - 3px);
}

.overview-block .body-text-field>ul:not(.field-ul) li:before {
  top: 8px;
}

/* ol */
.body-text-field ol {
  --marker-size: 26px;
  --text-marker-gap: 15px;
  --li-marker-clr: var(--clr-primary);
  list-style-type: decimal;
  counter-reset: number;
}

.body-text-field ol li {
  counter-increment: item;
}

.body-text-field ol li:before {
  content: counter(item);
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 0px;
}

/* listing in even box */
/* .body-text-field dd, */
.odd-even-style:nth-child(even) .body-text-field {
  --marker-size: 13px;
  --text-marker-gap: 20px;
  --li-marker-clr: var(--clr-primary-2);
}

/* general-notes-text */
.body-text-field .general-notes-text {
  line-height: 1.5;
}

.general-notes-text,
.general-notes-text h3 {
  --body-texts-vr-gap: 18px;
}

.general-notes-text *,
.general-notes-text h4 {
  --body-texts-vr-gap: calc(var(--sp5) + 3px);
  font-size: var(--fs-12);
}

.general-notes-text h4 {
  --body-texts-vr-gap: 0;
}

.general-notes-text h3 {
  font-size: var(--fs-16);
}

/* inline charts */
.body-text-field .inline-chart-section {
  display: block;
  /* width: 100%; */
}

@media only screen and (min-width: 1200px) {
  .content-fs-lg .body-text-field {
    font-size: var(--fs-18);
  }

}

@media only screen and (max-width: 767px) {

  .body-text-field {
    font-size: var(--fs-15);
    line-height: 1.5;
  }

  .body-text-field p {
    line-height: unset;
  }
}
